%define name    ethumb
%define version 1.7.9
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Enlightenment thumbnailing library
Name:    %{name}
Version: %{version}
Release: %{release}
License: LGPLv3+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: %name-%svn.tar.xz
%else
Source: http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires: pkgconfig(evas) >= %{version}-0.%svn
BuildRequires: pkgconfig(ecore) >= %{version}-0.%svn
BuildRequires: pkgconfig(edje) >= %{version}-0.%svn
BuildRequires: edje >= %{version}-0.%svn
BuildRequires: pkgconfig(edbus) >= %{version}-0.%svn
BuildRequires: pkgconfig(emotion) >= %{version}-0.%svn
%else
BuildRequires: pkgconfig(evas) >= %{version}
BuildRequires: pkgconfig(ecore) >= %{version}
BuildRequires: pkgconfig(edje) >= %{version}
BuildRequires: edje >= %{version}
BuildRequires: pkgconfig(edbus) >= %{version}
BuildRequires: pkgconfig(emotion) >= %{version}
%endif
BuildRequires: libexif-devel

%description
New library to generate thumbnails.
There are still some important features to be implemented, like
client-server framework, edje thumbnails and a plugin API to integrate
it with emotion and like.

%package -n %libname
Summary: Enlightenment thumbnailing library
Group: System/Libraries

%description -n %libname
New library to generate thumbnails.

%package -n %develname
Summary: Enlightenment thumbnailing library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
ethumb development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS README
%{_bindir}/ethumb
%{_bindir}/ethumbd
%{_bindir}/ethumbd_client
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service
%{_datadir}/ethumb
%{_libdir}/ethumb
%{_libexecdir}/ethumbd_slave

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %develname
%{_includedir}/ethumb-%{major}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog
* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552469
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463332
- update version to 1.7.8 (fix changelog from previous commit)
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444957
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412571
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339282
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333864
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327939
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321326
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320201
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290159
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 1.0.1-1.mga3
+ Revision: 258959
- update to 1.0.1
- update to 1.0.0 (stable release)

* Sun Mar 11 2012 trem <trem> 0.1.1.64327-0.r69188.1.mga2
+ Revision: 222690
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.1.1.64327-0.r69165.1.mga2
+ Revision: 222424
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.1.1.64327-0.r68658.1.mga2
+ Revision: 218001
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.1.1.64327-0.r68649.1.mga2
+ Revision: 217551
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.1.1.64327-0.r68450.1.mga2
+ Revision: 215218
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.1.1.64327-0.r68434.1.mga2
+ Revision: 214430
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.1.1.64327-0.r68363.1.mga2
+ Revision: 213975
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.1.1.64327-0.r68228.1.mga2
+ Revision: 212082
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.1.1.64327-0.r68120.1.mga2
+ Revision: 210798
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.1.1.64327-0.r68102.1.mga2
+ Revision: 210246
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.1.1.64327-0.r67851.1.mga2
+ Revision: 207549
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.1.1.64327-0.r67846.1.mga2
+ Revision: 207262
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.1.1.64327-0.r67830.1.mga2
+ Revision: 206971
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.1.1.64327-0.r67715.1.mga2
+ Revision: 206006
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Sun Dec 04 2011 trem <trem> 0.1.1.64327-0.r65867.1.mga2
+ Revision: 176106
- update to release 65867

* Tue Nov 29 2011 trem <trem> 0.1.1.64327-0.r65688.1.mga2
+ Revision: 174252
- update to release 65688

* Sun Nov 27 2011 trem <trem> 0.1.1.64327-0.r65613.1.mga2
+ Revision: 172975
- update to release 65613

* Sun Nov 20 2011 trem <trem> 0.1.1.64327-0.r65428.1.mga2
+ Revision: 169741
- update to release 65428

* Thu Nov 17 2011 trem <trem> 0.1.1.64327-0.r65341.1.mga2
+ Revision: 168457
- update to release 65341

* Wed Nov 16 2011 trem <trem> 0.1.1.64327-0.r65269.1.mga2
+ Revision: 168212
- update to release 65269

* Sun Nov 13 2011 trem <trem> 0.1.1.64327-0.r65129.1.mga2
+ Revision: 167174
- update to release 65129

* Fri Nov 11 2011 trem <trem> 0.1.1.64327-0.r65056.1.mga2
+ Revision: 166600
- update to release 65056

* Sat Nov 05 2011 trem <trem> 0.1.1.64327-0.r64753.1.mga2
+ Revision: 163339
- update to release 64753

* Tue Nov 01 2011 trem <trem> 0.1.1.64327-0.r64603.1.mga2
+ Revision: 160825
- update to release 64603

* Mon Oct 31 2011 trem <trem> 0.1.1.64327-0.r64579.1.mga2
+ Revision: 160613
- update to release 64579

* Sun Oct 30 2011 trem <trem> 0.1.1.64327-0.r64519.1.mga2
+ Revision: 160068
- update to release 64519

* Sat Oct 29 2011 trem <trem> 0.1.1.64327-0.r64511.1.mga2
+ Revision: 159827
- update to r64511

* Fri Oct 28 2011 trem <trem> 0.1.1.64327-0.r64501.1.mga2
+ Revision: 159300
- update to r64501

* Wed Oct 26 2011 trem <trem> 0.1.1.64327-0.r64414.1.mga2
+ Revision: 158398
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 0.1.1.64327-0.r64328.1.mga2
+ Revision: 157799
- use svn release (instead of stable release)
- spec cleaning

* Tue Apr 19 2011 ennael <ennael> 0.1.1.55225-1.mga1
+ Revision: 88169
- imported package ethumb


* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 0.1.1.55225-1mdv2011.0
+ Revision: 622839
- new version 0.1.1.55225

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.1.1.54472-1mdv2011.0
+ Revision: 597993
- new version 0.1.1.54472

* Tue Nov 09 2010 Funda Wang <fwang@mandriva.org> 0.1-0.20101107.1mdv2011.0
+ Revision: 595175
- BR exif
- new snapshot

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 0.1-0.20100715.1mdv2011.0
+ Revision: 558269
- new snapshot

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.1-0.44424.1mdv2010.1
+ Revision: 478207
- New snapshot

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.1-0.41637.1mdv2010.0
+ Revision: 411620
- add BR for edje_cc
- import ethumb

